Get a supplier invoice request status
get
/api/erp/integrations/resources/v1/payables/supplierInvoices/requests/{requestId}
Returns the overall processing status of a supplier invoice request and details of its incoming and logical documents.
Request
Path Parameters
-
requestId(required): string
Request identifier or flow execution identifier returned for the supplier invoice import request.Example:
300100656822635
Query Parameters
-
flowCode: string
Name of the Document IO flow associated with the supplier invoice request.Example:
FIN_AP_IMPORT_PAYABLES_INVOICES
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The supplier invoice request details were retrieved successfully.
Root Schema : SupplierInvoiceMonitoringResponse
Type:
objectThe processing status and document details for a supplier invoice request.
Show Source
-
additionalAttributes: object
additionalAttributes
Additional Properties Allowed:
trueAdditional flow-level information returned to the consumer. -
createdAt: string
(date-time)
The date and time when the supplier invoice request was created.Example:
2026-08-31T17:37:31.487268Z -
files(required): array
files
Incoming files associated with the supplier invoice request.
-
links: array
links
Links associated with the supplier invoice request.
-
processedAt: string
(date-time)
The date and time when processing was completed or last updated.Example:
2026-08-31T17:39:29.93755Z -
requestId(required): string
Request identifier or flow execution identifier assigned to the supplier invoice request.Example:
300100656822635 -
status(required): string
Allowed Values:
[ "IN-PROGRESS", "PROCESSED", "SUCCESS", "ERROR" ]Overall processing status of the supplier invoice request. Valid values are IN-PROGRESS, PROCESSED, SUCCESS, and ERROR.Example:PROCESSED
Nested Schema : additionalAttributes
Type:
objectAdditional Properties Allowed:
trueAdditional flow-level information returned to the consumer.
Example:
{
}Nested Schema : files
Type:
arrayIncoming files associated with the supplier invoice request.
Show Source
-
Array of:
object SupplierInvoiceFile
Details of an incoming supplier invoice file.
Nested Schema : links
Type:
arrayLinks associated with the supplier invoice request.
Show Source
-
Array of:
object SupplierInvoiceDocIOLink
A link to a related Document IO resource.
Nested Schema : SupplierInvoiceFile
Type:
objectDetails of an incoming supplier invoice file.
Show Source
-
childs: array
childs
Logical documents generated from the incoming file.
-
createdAt(required): string
(date-time)
The date and time when the file record was created.Example:
2026-08-31T17:37:31.312936Z -
fileID(required): string
Unique identifier of the incoming file.Example:
300100656821027 -
fileName(required): string
Name of the incoming file.Example:
supplier-invoice.zip -
links: array
links
Links used to download or access the file.
-
status(required): string
Allowed Values:
[ "ORA_UPLOADED", "IN-PROGRESS", "ERROR" ]Processing status of the file. Valid values are ORA_UPLOADED, IN-PROGRESS, and ERROR.Example:ORA_UPLOADED
Nested Schema : childs
Type:
arrayLogical documents generated from the incoming file.
Show Source
-
Array of:
object SupplierInvoiceLogicalDocument
Details of a logical supplier invoice document generated during processing.
Nested Schema : links
Type:
arrayLinks used to download or access the file.
Show Source
-
Array of:
object SupplierInvoiceDocIOLink
A link to a related Document IO resource.
Nested Schema : SupplierInvoiceLogicalDocument
Type:
objectDetails of a logical supplier invoice document generated during processing.
Show Source
-
additionalDetails: object
additionalDetails
Additional Properties Allowed:
trueAdditional information associated with the logical document. -
createdAt(required): string
(date-time)
The date and time when the logical document was created.Example:
2026-08-31T17:39:10.361629Z -
fileID(required): string
Unique identifier of the logical document.Example:
44671 -
fileName(required): string
Name of the logical document.Example:
supplier-invoice.json -
links: array
links
Links used to download or access the logical document.
-
status(required): string
Allowed Values:
[ "IN-PROGRESS", "PROCESSED", "ERROR" ]Processing status of the logical document. Valid values are IN-PROGRESS, PROCESSED, and ERROR.Example:PROCESSED
Nested Schema : additionalDetails
Type:
objectAdditional Properties Allowed:
trueAdditional information associated with the logical document.
Example:
{
}Nested Schema : links
Type:
arrayLinks used to download or access the logical document.
Show Source
-
Array of:
object SupplierInvoiceDocIOLink
A link to a related Document IO resource.
Nested Schema : SupplierInvoiceDocIOLink
Type:
objectA link to a related Document IO resource.
Show Source
-
href(required): string
(uri)
Fully qualified URL of the related document or request.Example:
https://example.com/api/erp/integrations/resources/v1/payables/supplierInvoices/files/300100656821027/data?type=incoming -
rel(required): string
Allowed Values:
[ "self", "download", "related", "collection" ]Relationship between the link and the current document or request. Valid values are self, download, related, and collection.Example:download -
resourcePath: string
Relative path of the related document or request.Example:
/files/300100656821027/data?type=incoming
Examples
The following example shows how to retrieve the processing status of a supplier invoice request by submitting a GET request on the REST resource using cURL.
curl --location 'https://servername.fa.us2.oraclecloud.com/api/erp/integrations/resources/v1/payables/supplierInvoices/requests/300100656822635' \ --header 'Authorization: Bearer <Bearer Token>' \
Example Response Body
The following example shows the contents of the response body in JSON format:
{
"status": "PROCESSED",
"requestId": "300100656822635",
"processedAt": "2026-08-31T17:39:29.93755Z",
"createdAt": "2026-08-31T17:37:31.487268Z",
"files": [
{
"status": "ORA_UPLOADED",
"fileName": "LHS BUG.docx",
"fileID": "300100656821027",
"createdAt": "2026-08-31T17:37:31.312936Z",
"links": [
{
"rel": "download",
"href": "https://servername.fa.us2.oraclecloud.com/api/erp/integrations/resources/v1/payables/supplierInvoices/files/300100656821027/data?type=incoming",
"resourcePath": "/files/300100656821027/data?type=incoming"
}
],
"childs": [
{
"status": "PROCESSED",
"fileName": "LHS BUG.docx",
"fileID": "44671",
"createdAt": "2026-08-31T17:39:10.361629Z",
"links": [
{
"rel": "related",
"href": "https://servername.fa.us2.oraclecloud.com/api/erp/integrations/resources/v1/payables/supplierInvoices/files/44671/data?type=logical",
"resourcePath": "/files/44671/data?type=logical"
}
]
}
]
}
],
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/api/erp/integrations/resources/v1/payables/supplierInvoices/requests/300100656822635",
"resourcePath": "/requests/300100656822635"
}
]
}